Subject: Re: Bash history?
From: [email-masked] (Larry Hall)

8 Sep 1997 20:54:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Andy Piper <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

At 04:37 PM 9/4/97 +0100, Andy Piper wrote:
>Hi,
>
>I am having a few problems with bash. Any help appreciated:
>
>1) ~ seems to be interpreted wrongly. If I do `cd ~' I get:
>bash.exe: C:WINNTProfilesandyp: No such file or directory
>cd $HOME works fine. Somehow the /'s are getting stripped out.

This is likely due to the fact that you have set HOME in your NT control 
panel applet to be c:\winnt\Profiles\andyp.  ~ is set somewhere during the
start up of bash and is set to the value of HOME.  In the *nix worlds, \ is
an escape and will disappear.  The only way I've found around this is to 
set HOME in the control panel applet to a *nix style path which is my home.
Then, ~ gets set correctly and everything works fine.

>2) History is not preserved between sessions. Although bash 
>writes out a history file - .bash_history - correctly. It is not read when
>I start a new bash. Nor can it be read manually. This means my history is 
>always liimited to the current session which is annoying.
>This is NT 4 SP3.

Mine works OK with this config.  Are you using binary or text mounts?

Larry

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".